InstallXCTestBundle (Gradle API 9.4.0)
Description: declaration: package: org.gradle.nativeplatform.test.xctest.tasks, class: InstallXCTestBundle

Package org.gradle.nativeplatform.test.xctest.tasks

# Class InstallXCTestBundle

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.nativeplatform.test.xctest.tasks.InstallXCTestBundle

All Implemented Interfaces:
  `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `Named`, `ExtensionAware`, `Task`, `Configurable<Task>`

@DisableCachingByDefault(because="Not worth caching") public abstract class InstallXCTestBundle extends DefaultTask
Creates a XCTest bundle with a run script so it can be easily executed.

Since:
  4.4

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Field Summary

  ### Fields inherited from interface org.gradle.api.Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InstallXCTestBundle()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected @Nullable File`
  `getBundleBinary()`
  `RegularFileProperty`
  `getBundleBinaryFile()`
  Returns the bundle binary file property.
  `protected abstract ExecOperations`
  `getExecOperations()`
  `protected abstract org.gradle.internal.nativeintegration.filesystem.FileSystem`
  `getFileSystem()`
  `protected abstract FileSystemOperations`
  `getFileSystemOperations()`
  `DirectoryProperty`
  `getInstallDirectory()`
  Returns the install directory property.
  `Provider<RegularFile>`
  `getRunScriptFile()`
  Returns the script file that can be used to run the install image.
  `protected abstract org.gradle.nativeplatform.toolchain.internal.xcode.SwiftStdlibToolLocator`
  `getSwiftStdlibToolLocator()`
  `protected void`
  `install()`

  ### Methods inherited from class org.gradle.api.DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, doNotTrackStateIf, getAsDynamicObject, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonsNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, restoreOnlyIf, restoreTaskActions, setImpliesSubProjects`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.gradle.api.Task

  `doNotTrackState, notCompatibleWithConfigurationCache`

- ## Constructor Details

  - ### InstallXCTestBundle

    public InstallXCTestBundle()

- ## Method Details

  - ### getSwiftStdlibToolLocator

    @Inject protected abstract org.gradle.nativeplatform.toolchain.internal.xcode.SwiftStdlibToolLocator getSwiftStdlibToolLocator()

  - ### getFileSystem

    @Inject protected abstract org.gradle.internal.nativeintegration.filesystem.FileSystem getFileSystem()

  - ### getFileSystemOperations

    @Inject protected abstract FileSystemOperations getFileSystemOperations()

  - ### install

    protected void install() throws IOException
    Throws:
      `IOException`

  - ### getRunScriptFile

    @Internal public Provider<RegularFile> getRunScriptFile()
    Returns the script file that can be used to run the install image.

  - ### getBundleBinaryFile

    @Internal("covered by getBundleBinary()") public RegularFileProperty getBundleBinaryFile()
    Returns the bundle binary file property.

  - ### getBundleBinary

    @SkipWhenEmpty @Optional @PathSensitive(NAME_ONLY) @InputFile protected @Nullable File getBundleBinary()

  - ### getInstallDirectory

    @OutputDirectory public DirectoryProperty getInstallDirectory()
    Returns the install directory property.

  - ### getExecOperations

    @Inject protected abstract ExecOperations getExecOperations()